import IResponse from "../interfaces/IResponse";
import IUser from "../interfaces/IUser";
import IUserDto from "../interfaces/IUserDto";
import { mongo, Mongo } from "../repository/mongo";


export class UserService {
    private repository: Mongo
    constructor() {
        this.repository = mongo
    }

    public createUser = async (userDto: IUserDto): Promise<IResponse<IUser | undefined>> => {
        return await this.repository.createUser(userDto)
    }

    public login = async (userDto: IUserDto): Promise<IResponse<IUser | undefined>> => {
        return await this.repository.login(userDto)
    }

    public getUsers = async (): Promise<IResponse<IUser[] | undefined>> => {
        return await this.repository.getUsers()
    }
}

export const userService = new UserService()